<?php
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s");

$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, condition_1, send_alert, send_email FROM $table_name WHERE alert_name = 'Production margin' ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
			
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$condition_1 = mysql_result($alert_result, $i, "condition_1");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
		if ($production_margin>$condition_1) {
		
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alerts_production";
			$message_query = "INSERT INTO $table_name (user_name, department, generated, alert, detail_1, detail_2, detail_3 ) VALUES ('".$user_name."', 'production', '".$entry_date."', '40', '".$production_no."', '".$_SESSION['username']."', '".$production_margin."' ) ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$user_name."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
		
		}
	$i++;	
	}
		
if ($email_address!='') {			
			$subject = "Production margin in Radstone Phakalane";
			$message = "<body><font face=Calibri size=3>Production margin for production no ".$production_no." was  ".number_format($production_margin, 2, '.', ',')."% <br><br>For more info, login at <a href=costing.tocotex.com/bypass.php?c=rad&a=prod_margin&r=".$production_no."&e=>Radstone Phakalane Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>";
			include ('alert_to_email.php');
		}

	
	
?>